%define	name	ngrep
%define	version	1.41
%define	release	2mdk

Summary:	Network Traffic sniffer, with pattern matching like grep.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-1.40.1-no-locincpth.patch.bz2
Patch1:		%{name}-1.41-compilefix.patch.bz2
Patch2:		%{name}-1.41-update-headers-for-new-libpcap.patch.bz2
URL:		http://ngrep.sourceforge.net/
License:	BSD
Group:		Networking/Other
BuildRequires:	libpcap-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
ngrep strives to provide most of GNU grep's common features, applying
them to the network layer.  ngrep is a pcap-aware tool that will allow
you to specify extended regular or hexadecimal expressions to match
against data payloads of packets.  It currently recognizes TCP, UDP
and ICMP across Ethernet, PPP, SLIP, FDDI, Token Ring and null
interfaces, and understands bpf filter logic in the same fashion as
more common packet sniffing tools, such as tcpdump and snoop.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .perovyind
%patch2 -p1 -b .pcap

%build
autoconf
%configure
%make CFLAGS="$RPM_OPT_FLAGS" -C regex*/
%make

%install
rm -rf $RPM_BUILD_ROOT
install -m755 %{name} -D %{buildroot}%{_bindir}/%{name}
install -m644 %{name}.8 -D %{buildroot}%{_mandir}/man8/%{name}.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGES CREDITS LICENSE README USAGE
%{_bindir}/%{name}
%{_mandir}/man8/*

%changelog
* Tue Mar 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.41-2mdk
- fix build with new libpcap (P2)
- use %%make macro
- compile regex with $RPM_OPT_FLAGS

* Sun Jan 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.41-1mdk
- 1.41
- drop explicit library dependency
- fix buildrequires (lib64..)
- fix compile (P1)
- cosmetics

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.40.1-3mdk
- build release

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.40.1-2mdk
- rebuilt with gcc-3.2

* Sun Jun  9 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.40.1-1mdk
- initial cooker contrib
- added P0
